<?php


require_once("syncinclude.php");

$return=3;
if (auth())
{
	$return=5;
	if ($_POST['data'])
	{
		$return=0;
		$zeilen = explode("\n",$_POST['data']);
		if (is_array($zeilen))
		{
			foreach ($zeilen as $zeile)
			{
				$werte = explode(";",$zeile);
				switch ($werte[0])
				{
					case 'P':
						setMappingArtikel($werte[1],$werte[2]);
						break;
					case 'K':
						setMappingKategorie($werte[1],$werte[2]);
						break;
					case 'W':
						setMappingEigenschaftsWert($werte[1],$werte[2],$werte[3]);
						break;
				}
			}
		}
	}
}
echo($return);
logge($return);
?>